"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAsyncValidateCodeFunction = void 0;
const handleEvalError_js_1 = require("../handleEvalError.js");
const createAsyncValidateCodeFunction = (input) => {
    const { ctx } = input;
    return async (code, filename = '/src/index.js', evalOptions) => {
        try {
            ctx
                .unwrapResult(await ctx.evalCodeAsync(code, filename, {
                strict: true,
                strip: true,
                backtraceBarrier: true,
                ...evalOptions,
                type: 'module',
                compileOnly: true,
            }))
                .dispose();
            return { ok: true };
        }
        catch (err) {
            return (0, handleEvalError_js_1.handleEvalError)(err);
        }
    };
};
exports.createAsyncValidateCodeFunction = createAsyncValidateCodeFunction;
