"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeAsyncSandboxFunction = void 0;
const createAsyncEvalCodeFunction_js_1 = require("./createAsyncEvalCodeFunction.js");
const createAsyncValidateCodeFunction_js_1 = require("./createAsyncValidateCodeFunction.js");
const executeAsyncSandboxFunction = async (input) => {
    const { ctx, sandboxOptions, sandboxedFunction, fs, transpileFile } = input;
    const opt = { ctx, sandboxOptions, transpileFile };
    const evalCode = (0, createAsyncEvalCodeFunction_js_1.createAsyncEvalCodeFunction)(opt, input.scope);
    const validateCode = (0, createAsyncValidateCodeFunction_js_1.createAsyncValidateCodeFunction)(opt);
    return await sandboxedFunction({ ctx, evalCode, validateCode, mountedFs: fs });
};
exports.executeAsyncSandboxFunction = executeAsyncSandboxFunction;
