"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeSandboxFunction = void 0;
const createEvalCodeFunction_js_1 = require("./createEvalCodeFunction.js");
const createValidateCodeFunction_js_1 = require("./createValidateCodeFunction.js");
const executeSandboxFunction = async (input) => {
    const { ctx, sandboxOptions, sandboxedFunction, fs, transpileFile } = input;
    const opt = { ctx, sandboxOptions, transpileFile };
    const evalCode = (0, createEvalCodeFunction_js_1.createEvalCodeFunction)(opt, input.scope);
    const validateCode = (0, createValidateCodeFunction_js_1.createValidateCodeFunction)(opt);
    return await sandboxedFunction({ ctx, evalCode, validateCode, mountedFs: fs });
};
exports.executeSandboxFunction = executeSandboxFunction;
