"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modulePathNormalizer = void 0;
const node_path_1 = require("node:path");
const modulePathNormalizer = (baseName, requestedName) => {
    // relative import
    if (requestedName.startsWith('.')) {
        const parts = baseName.split('/');
        parts.pop();
        return (0, node_path_1.resolve)(`/${parts.join('/')}`, requestedName);
    }
    // module import
    const moduleName = requestedName.replace('node:', '');
    return (0, node_path_1.join)('/node_modules', moduleName);
};
exports.modulePathNormalizer = modulePathNormalizer;
