export default `
import { resolve } from 'node:path'

export const access = (path, ...params) => __fs.access(resolve(path), ...params)
export const accessSync = (path, ...params) => __fs.accessSync(resolve(path), ...params)
export const appendFile = (path, data, ...params) => __fs.appendFile(resolve(path), data, ...params)
export const appendFileSync = (path, data, ...params) => __fs.appendFileSync(resolve(path), data, ...params)
export const chmod = (path, mode) => {__fs.chmod(resolve(path), mode)}
export const chmodSync = (path, mode) => __fs.chmodSync(resolve(path), mode)
export const chown = (path, uid, gid) => __fs.chown(resolve(path), uid, gid)
export const chownSync = (path, uid, gid) => __fs.chownSync(resolve(path), uid, gid)
export const close = (...params) => __fs.close(...params)
export const closeSync = (...params) => __fs.closeSync(...params)
export const copyFile = (src, dest, ...params) => __fs.copyFile(resolve(src), resolve(dest), ...params)
export const copyFileSync = (src, dest, ...params) => __fs.copyFileSync(resolve(src), resolve(dest), ...params)
export const createReadStream = (path, ...params) => __fs.createReadStream(resolve(path), ...params)
export const createWriteStream = (path, ...params) => __fs.createWriteStream(resolve(path), ...params)
export const exists = (path, ...params) => __fs.exists(resolve(path), ...params)
export const existsSync = (path, ...params) => __fs.existsSync(resolve(path), ...params)
export const fchmod = (...params) => __fs.fchmod(...params)
export const fchmodSync = (...params) => __fs.fchmodSync(...params)
export const fchown = (...params) => __fs.fchown(...params)
export const fchownSync = (...params) => __fs.fchownSync(...params)
export const fdatasync = (...params) => __fs.fdatasync(...params)
export const fdatasyncSync = (...params) => __fs.fdatasyncSync(...params)
export const fstat = (...params) => __fs.fstat(...params)
export const fstatSync = (...params) => __fs.fstatSync(...params)
export const fsync = (...params) => __fs.fsync(...params)
export const fsyncSync = (...params) => __fs.fsyncSync(...params)
export const ftruncate = (...params) => __fs.ftruncate(...params)
export const ftruncateSync = (...params) => __fs.ftruncateSync(...params)
export const futimes = (...params) => __fs.futimes(...params)
export const futimesSync = (...params) => __fs.futimesSync(...params)
export const lchmod = (path, mode) => __fs.lchmod(resolve(path), mode)
export const lchmodSync = (path, mode) => __fs.lchmodSync(resolve(path), mode)
export const lchown = (path, uid, gid) => __fs.lchown(resolve(path), uid, gid)
export const lchownSync = (path, uid, gid) => __fs.lchownSync(resolve(path), uid, gid)
export const link = (existingPath, newPath, ...params) => __fs.link(resolve(existingPath), resolve(newPath), ...params)
export const linkSync = (existingPath, newPath, ...params) => __fs.linkSync(resolve(existingPath), resolve(newPath), ...params)
export const lstat = (path, ...params) => __fs.lstat(resolve(path), ...params)
export const lstatSync = (path, ...params) => __fs.lstatSync(resolve(path), ...params)
export const mkdir = (path, ...params) => __fs.mkdir(resolve(path), ...params)
export const mkdirSync = (path, ...params) => __fs.mkdirSync(resolve(path), ...params)
export const mkdtemp = (prefix, ...params) => __fs.mkdtemp(resolve(prefix), ...params)
export const mkdtempSync = (prefix, ...params) => __fs.mkdtempSync(resolve(prefix), ...params)
export const open = (path, ...params) => __fs.open(resolve(path), ...params)
export const openSync = (path, ...params) => __fs.openSync(resolve(path), ...params)
export const readdir = (path, ...params) => __fs.readdir(resolve(path), ...params)
export const readdirSync = (path, ...params) => __fs.readdirSync(resolve(path), ...params)
export const read = (...params) => __fs.read(...params)
export const readSync = (...params) => __fs.readSync(...params)
export const readFile = (file, ...params) => __fs.readFile(resolve(file), ...params)
export const readFileSync = (file, ...params) => __fs.readFileSync(resolve(file), ...params)
export const readlink = (path, ...params) => __fs.readlink(resolve(path), ...params)
export const readlinkSync = (path, ...params) => __fs.readlinkSync(resolve(path), ...params)
export const realpath = (path, ...params) => __fs.realpath(resolve(path), ...params)
export const realpathSync = (path, ...params) => __fs.realpathSync(resolve(path), ...params)
export const rename = (oldPath, newPath, ...params) => __fs.rename(resolve(oldPath), resolve(newPath), ...params)
export const renameSync = (oldPath, newPath, ...params) => __fs.renameSync(resolve(oldPath), resolve(newPath), ...params)
export const rmdir = (path, ...params) => __fs.rmdir(resolve(path), ...params)
export const rmdirSync = (path, ...params) => __fs.rmdirSync(resolve(path), ...params)
export const stat = (path, ...params) => __fs.stat(resolve(path), ...params)
export const statSync = (path, ...params) => __fs.statSync(resolve(path), ...params)
export const symlink = (target, path, ...params) => __fs.symlink(resolve(target), resolve(path), ...params)
export const symlinkSync = (target, path, ...params) => __fs.symlinkSync(resolve(target), resolve(path), ...params)
export const truncate = (path, ...params) => __fs.truncate(resolve(path), ...params)
export const truncateSync = (path, ...params) => __fs.truncateSync(resolve(path), ...params)
export const unlink = (path, ...params) => __fs.unlink(resolve(path), ...params)
export const unlinkSync = (path, ...params) => __fs.unlinkSync(resolve(path), ...params)
export const utimes = (path, ...params) => __fs.utimes(resolve(path), ...params)
export const utimesSync = (path, ...params) => __fs.utimesSync(resolve(path), ...params)
export const write = (...params) => __fs.write(...params)
export const writeSync = (...params) => __fs.writeSync(...params)
export const writeFile = (file, data, ...params) => __fs.writeFile(resolve(file), data, ...params)
export const writeFileSync = (file, ...params) => __fs.writeFileSync(resolve(file), ...params)
`;
