import { newQuickJSAsyncWASMModuleFromVariant } from 'quickjs-emscripten-core';
/**
 * Loads the webassembly file and prepares sandbox creation
 * @param loadOptions
 * @returns
 */
export const loadAsyncWasmModule = async (loadOptions) => {
    try {
        if (typeof loadOptions === 'string') {
            return await newQuickJSAsyncWASMModuleFromVariant(import(loadOptions));
        }
        return loadOptions;
    }
    catch (error) {
        throw new Error('Failed to load webassembly', { cause: error });
    }
};
