declare const _default: "\nimport { resolve as pathResolve } from 'node:path'\n\nexport const access = (path, mode) => new Promise((resolve, reject) => {\n    try {\n        __fs.accessSync(pathResolve(path), mode)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const appendFile = (path, data, options) => new Promise((resolve, reject) => {\n    __fs.appendFile(pathResolve(path), data, options, (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const chmod = (path, mode) => new Promise((resolve, reject) => {\n    try {\n        __fs.chmodSync(pathResolve(path), mode)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const chown = (path, uid, gid) => new Promise((resolve, reject) => {\n    try {\n        __fs.chownSync(pathResolve(path), uid, gid)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const close = (fd) => new Promise((resolve, reject) => {\n    __fs.close(fd, (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const copyFile = (src, dest, mode) => new Promise((resolve, reject) => {\n    __fs.copyFile(pathResolve(src), pathResolve(dest), mode, (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const createReadStream = (...params) => __fs.createReadStream(...params)\nexport const createWriteStream = (...params) => __fs.createWriteStream(...params)\n\nexport const exists = (path) => new Promise((resolve) => {\n    __fs.exists(pathResolve(path), (exists) => {\n        resolve(exists)\n    })\n})\n\nexport const fchmod = (path, mode) => new Promise((resolve, reject) => {\n    try {\n        __fs.fchmodSync(pathResolve(path), mode)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const fchown = (path, uid, gid) => new Promise((resolve, reject) => {\n    try {\n        __fs.fchownSync(pathResolve(path), uid, gid)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const fdatasync = (fd) => new Promise((resolve, reject) => {\n    __fs.fdatasync(fd, (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const fstat = (path) => new Promise((resolve, reject) => {\n    try {\n        const stats = __fs.fstatSync(pathResolve(path))\n        resolve(stats)\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const fsync = (fd) => new Promise((resolve, reject) => {\n    __fs.fsync(fd, (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const ftruncate = (fd, len) => new Promise((resolve, reject) => {\n    try {\n        __fs.ftruncateSync(fd, len)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const futimes = (fd, atime, mtime) => new Promise((resolve, reject) => {\n    try {\n        __fs.futimesSync(fd, atime, mtime)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const lchmod = (path, mode) => new Promise((resolve, reject) => {\n    try {\n        __fs.lchmodSync(pathResolve(path), mode)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const lchown = (path, uid, gid) => new Promise((resolve, reject) => {\n    try {\n        __fs.lchownSync(pathResolve(path), uid, gid)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const link = (existingPath, newPath) => new Promise((resolve, reject) => {\n    try {\n        __fs.linkSync(pathResolve(existingPath), pathResolve(newPath))\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const lstat = (path) => new Promise((resolve, reject) => {\n    try {\n        const stats = __fs.lstatSync(pathResolve(path))\n        resolve(stats)\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const mkdir = (path, options) => new Promise((resolve, reject) => {\n    try {\n      const res = __fs.mkdirSync(pathResolve(path), options)\n      resolve(res)\n    } catch(err) {\n      reject(err)\n    }\n})\n\nexport const mkdtemp = (prefix, options) => new Promise((resolve, reject) => {\n    try {\n      const res = __fs.mkdtempSync(prefix, options)\n      resolve(res)\n    } catch(err) {\n      reject(err)\n    }\n})\n\nexport const open = (path, flags, mode) => new Promise((resolve, reject) => {\n    __fs.open(pathResolve(path), flags, mode, (err, fd) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve(fd)\n        }\n    })\n})\n\nexport const readdir = (path, options) => new Promise((resolve, reject) => {\n    try {\n      const res = __fs.readdirSync(pathResolve(path), options)\n      resolve(res)\n    } catch(err) {\n      reject(err)\n    }\n})\n\nexport const read = (fd, buffer, offset, length, position) => new Promise((resolve, reject) => {\n    __fs.read(fd, buffer, offset, length, position, (err, bytesRead, buffer) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve({ bytesRead, buffer })\n        }\n    })\n})\n\nexport const readFile = (path, options) => new Promise((resolve, reject) => {\n    try {\n      const res = __fs.readFileSync(pathResolve(path), options)\n      resolve(res)\n    } catch (err) {\n      reject(err)\n    }\n})\n\nexport const readlink = (path, options) => new Promise((resolve, reject) => {\n    try {\n        const linkString = __fs.readlinkSync(pathResolve(path), options)\n        resolve(linkString)\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const realpath = (path, options) => new Promise((resolve, reject) => {\n    try {\n        const resolvedPath = __fs.realpathSync(pathResolve(path), options)\n        resolve(resolvedPath)\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const rename = (oldPath, newPath) => new Promise((resolve, reject) => {\n    __fs.rename(pathResolve(oldPath), pathResolve(newPath), (err) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve()\n        }\n    })\n})\n\nexport const rmdir = (path) => new Promise((resolve, reject) => {\n    try {\n      const res = __fs.rmdirSync(pathResolve(path))\n      resolve(res)\n    } catch(err) {\n      reject(err)\n    }\n})\n\nexport const stat = (path) => new Promise((resolve, reject) => {\n    try {\n        const stats = __fs.statSync(pathResolve(path))\n        resolve(stats)\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const symlink = (target, path, type) => new Promise((resolve, reject) => {\n    try {\n        __fs.symlinkSync(target, pathResolve(path), type)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const truncate = (path, len) => new Promise((resolve, reject) => {\n    try {\n        __fs.truncateSync(pathResolve(path), len)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const unlink = (path) => new Promise((resolve, reject) => {\n    try {\n        __fs.unlinkSync(pathResolve(path))\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const utimes = (path, atime, mtime) => new Promise((resolve, reject) => {\n    try {\n        __fs.utimesSync(pathResolve(path), atime, mtime)\n        resolve()\n    } catch (err) {\n        reject(err)\n    }\n})\n\nexport const write = (fd, buffer, offset, length, position) => new Promise((resolve, reject) => {\n    __fs.write(fd, buffer, offset, length, position, (err, written, buffer) => {\n        if (err) {\n            reject(err)\n        } else {\n            resolve({ written, buffer })\n        }\n    })\n})\n\nexport const writeFile = (file, data, options) => new Promise((resolve, reject) => {\n  try{\n    const res = __fs.writeFileSync(pathResolve(file), data, options)\n    return resolve(res)\n  }catch(err) {\n    return reject(err)\n  }\n \n})\n";
export default _default;
