declare const _default: "\nconst assert = {\n    fail(actual, expected, message, operator, stackStartFunction) {\n        throw new Error(message || `Expected ${actual} ${operator} ${expected}`);\n    },\n    ok(value, message) {\n        if (!value) throw new Error(message || 'Assertion failed');\n    },\n    equal(actual, expected, message) {\n        if (actual != expected) throw new Error(message || `Expected ${actual} to equal ${expected}`);\n    },\n    notEqual(actual, expected, message) {\n        if (actual == expected) throw new Error(message || `Expected ${actual} to not equal ${expected}`);\n    },\n    deepEqual(actual, expected, message) {\n        if (!isDeepEqual(actual, expected)) throw new Error(message || `Expected ${actual} to deeply equal ${expected}`);\n    },\n    notDeepEqual(actual, expected, message) {\n        if (isDeepEqual(actual, expected)) throw new Error(message || `Expected ${actual} to not deeply equal ${expected}`);\n    },\n    strictEqual(actual, expected, message) {\n        if (actual !== expected) throw new Error(message || `Expected ${actual} to strictly equal ${expected}`);\n    },\n    notStrictEqual(actual, expected, message) {\n        if (actual === expected) throw new Error(message || `Expected ${actual} to not strictly equal ${expected}`);\n    }\n};\n\nfunction isDeepEqual(a, b) {\n    if (a === b) return true;\n\n    if (typeof a !== 'object' || a === null || typeof b !== 'object' || b === null) return false;\n\n    const keysA = Object.keys(a);\n    const keysB = Object.keys(b);\n\n    if (keysA.length !== keysB.length) return false;\n\n    for (const key of keysA) {\n        if (!keysB.includes(key) || !isDeepEqual(a[key], b[key])) return false;\n    }\n\n    return true;\n}\n\nexport default assert;\n";
export default _default;
